// This Source Code Form is subject to the terms of the Mozilla Public
// License, v. 2.0. If a copy of the MPL was not distributed with this
// file, You can obtain one at https://mozilla.org/MPL/2.0/.
ng-container(*ngIf="runList$ | async as runList")
  nz-table([nzData]="runList", #runTable, (nzQueryParams)="getListPart($event)", [nzPageSize]="10", [nzPageIndex]="1",
    [nzOuterBordered]="true", nzSize="middle", [nzTotal]="(runTotal$ | async)!",
    [nzFrontPagination]="false", [nzLoading]="runLoading$ | async")
    thead
      tr
        th Run ID
        th Start date
        th Duration
        th Step
        th State
    tbody
      tr(*ngFor="let run of runTable.data", [routerLink]="'/runs/' + run.id" )
        td {{ run.id }}
        td {{ run.startedAt | dateTimeToFormat : 'dd/MM/yy t' }}
        td {{ run.duration }}
        td {{ run.step }} / {{ run.totalSteps }}
        td
          ryax-status-tag([status]="run.status")
        ng-container(*ngIf="run.status == WorkflowRunStatus.Running else isStopped")
          td((click)="$event.stopPropagation(); stopRun(run.id)", nz-tooltip, nzTooltipTitle="Stop the Run")
            button(nz-button, nzDanger, nzGhost, nzType="primary", nzSize="small")
              span(nz-icon, nzType="close", nzTheme="outline")
        ng-template(#isStopped)
          td((click)="$event.stopPropagation(); deleteRun(run.id)", nz-tooltip, nzTooltipTitle="Delete the Run")
            button(nz-button, nzDanger, nzGhost, nzType="primary", nzSize="small")
              span(nz-icon, nzType="delete", nzTheme="outline")
